> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bonuses

> Retrieve a list of `Bonus` objects.

You can use query parameters to filter, sort, and paginate the results.





## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/billing_reseller_api.yaml get /billing/org/v1/bonuses
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 69d376182a7d
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: accounting
  - name: addendums
    description: Operations on client addendums
  - name: bonuses
  - name: calc_rules
  - name: countries
  - name: currencies
  - name: erp-invoices
  - name: expenses
    description: Operations on expenses
  - name: payment-bindings
  - name: plans
    description: Operations on tariff plans and their contents
  - name: products
  - name: regions
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
  - name: statistic-regions
  - name: trials
  - name: units
paths:
  /billing/org/v1/bonuses:
    get:
      tags:
        - bonuses
      summary: List Bonuses
      description: |+
        Retrieve a list of `Bonus` objects.

        You can use query parameters to filter, sort, and paginate the results.

      operationId: v1_bonuses_list
      parameters:
        - in: query
          name: active_after
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active after the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&active_after=2025-05-15 12:00:00`

            - `&active_after=2025-05-15T12:00:00Z`
        - in: query
          name: active_at
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active at the specified date-time (ISO 8601/RFC 3339
            format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**



            - `&active_at=2025-05-15 12:00:00`

            - `&active_at=2025-05-15T12:00:00Z`
        - in: query
          name: active_before
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items active before the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space, or just a
            date.



            **Examples:**


            - `&active_before=2025-05-15 12:00:00`

            - `&active_before=2025-05-15T12:00:00Z`
        - in: query
          name: active_end_from
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items with the end of the active period on or after the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.


            **Examples:**


            - `&active_end_from=2025-05-15 12:00:00`

            - `&active_end_from=2025-05-15T12:00:00Z`
        - in: query
          name: active_end_to
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items with the end of the active period on or before the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.


            **Examples:**


            - `&active_end_to=2025-05-15 12:00:00`

            - `&active_end_to=2025-05-15T12:00:00Z`
        - in: query
          name: active_from
          schema:
            type: string
            format: date-time
        - in: query
          name: active_from__from
          schema:
            type: string
            format: date-time
        - in: query
          name: active_from__to
          schema:
            type: string
            format: date-time
        - in: query
          name: active_start_from
          schema:
            type: string
            format: date-time
          description: >+
            Filter by active period.


            Returns items with the start of the active period on or after the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**


            - `&active_start_from=2025-05-15 12:00:00`

            - `&active_start_from=2025-05-15T12:00:00Z`

        - in: query
          name: active_start_to
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items with the start of the active period on or before the
            specified date-time (ISO 8601/RFC 3339 format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**


            - `&active_start_to=2025-05-15 12:00:00`

            - `&active_start_to=2025-05-15T12:00:00Z`
        - in: query
          name: active_to
          schema:
            type: string
            format: date-time
        - in: query
          name: active_to__from
          schema:
            type: string
            format: date-time
        - in: query
          name: active_to__to
          schema:
            type: string
            format: date-time
        - in: query
          name: client_id
          schema:
            type: integer
            maximum: 2147483647
            minimum: -2147483648
          description: ID of client in API service
        - in: query
          name: created_at
          schema:
            type: string
            format: date-time
        - in: query
          name: created_at__from
          schema:
            type: string
            format: date-time
        - in: query
          name: created_at__to
          schema:
            type: string
            format: date-time
        - in: query
          name: currency_char_code
          schema:
            type: string
        - in: query
          name: description
          schema:
            type: string
          description: Filter by description. Case insensitive, partial match.
        - in: query
          name: id
          schema:
            type: integer
        - name: limit
          required: false
          in: query
          description: >-
            Number of results to return per page. Maximum is `100`. Default is
            `20`.
          schema:
            type: integer
        - in: query
          name: not_active_at
          schema:
            type: string
            format: date-time
          description: >-
            Filter by active period.


            Returns items not active at the specified date-time (ISO 8601/RFC
            3339 format, UTC.)



            You can specify a date with a time separated by a space.



            **Examples:**


            - `&not_active_at=2025-05-15 12:00:00`

            - `&not_active_at=2025-05-15T12:00:00Z`
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: order_by
          schema:
            type: array
            items:
              type: string
              enum:
                - active_from.asc
                - active_from.desc
                - active_to.asc
                - active_to.desc
                - amount.asc
                - amount.desc
                - client_company.asc
                - client_company.desc
                - client_id.asc
                - client_id.desc
                - created_at.asc
                - created_at.desc
                - id.asc
                - id.desc
          description: >-
            Ordering of the results.


            For ascending sort order use `field.asc`, for descending sort order
            use `field.desc`.


            For sorting by multiple parameters write them as comma separated
            string: `client_id.asc,id.desc`.


            Final stable tiebreak ordering is added except when pk sorting used.



            - `id.asc` - Id

            - `id.desc` - Id (descending)

            - `created_at.asc` - Created at

            - `created_at.desc` - Created at (descending)

            - `active_from.asc` - Active from

            - `active_from.desc` - Active from (descending)

            - `active_to.asc` - Active to

            - `active_to.desc` - Active to (descending)

            - `client_id.asc` - Client id

            - `client_id.desc` - Client id (descending)

            - `amount.asc` - Amount

            - `amount.desc` - Amount (descending)

            - `client_company.asc` - Client company

            - `client_company.desc` - Client company (descending)
          explode: false
          style: form
        - in: query
          name: ordering
          schema:
            type: array
            items:
              type: string
              enum:
                - '-active_from'
                - '-active_to'
                - '-amount'
                - '-client_company'
                - '-client_id'
                - '-created_at'
                - '-id'
                - active_from
                - active_to
                - amount
                - client_company
                - client_id
                - created_at
                - id
          description: >-
            Ordering of the results.


            This field is left for compatibility and can be deprecated in future
            versions. Use `order_by` instead.


            Default sort order is ascending. Put `-` before value for descending
            sort order: `-id`.


            For sorting by multiple parameters write them as comma separated
            string: `-client_id,id`.


            Final stable tiebreak ordering is added except when pk sorting used.



            - `id` - Id

            - `-id` - Id (descending)

            - `created_at` - Created at

            - `-created_at` - Created at (descending)

            - `active_from` - Active from

            - `-active_from` - Active from (descending)

            - `active_to` - Active to

            - `-active_to` - Active to (descending)

            - `client_id` - Client id

            - `-client_id` - Client id (descending)

            - `amount` - Amount

            - `-amount` - Amount (descending)

            - `client_company` - Client company

            - `-client_company` - Client company (descending)
          explode: false
          style: form
        - in: query
          name: product_category_external_id
          schema:
            type: string
          description: >-
            Filter by product category external ID. Case insensitive. Supports
            partial matches.
        - in: query
          name: product_category_id
          schema:
            type: array
            items:
              type: integer
          description: Filter by Product Category ID. Can be multiple.
          explode: true
          style: form
        - in: query
          name: product_category_name
          schema:
            type: string
          description: >-
            Filter by product category name. Case insensitive. Supports partial
            matches.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBonusForOrgSerializerV1List'
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedBonusForOrgSerializerV1List:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/BonusForOrgSerializerV1'
    BonusForOrgSerializerV1:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        active_from:
          type: string
          format: date-time
        active_to:
          type: string
          format: date-time
        client_id:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          description: ID of client in API service
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,24}(?:\.\d{0,12})?$
        currency_char_code:
          type: string
          description: Currency iso4217 char code
        description:
          type: string
          nullable: true
          maxLength: 255
        client_company:
          type: string
          nullable: true
          description: Client name in english
          readOnly: true
        product_category_ids:
          type: array
          items:
            type: integer
            title: ID
      required:
        - active_from
        - active_to
        - amount
        - client_company
        - client_id
        - created_at
        - id
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````